<?php 

function elegant_enqueue_css() { wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' ); }

add_action( 'wp_enqueue_scripts', 'elegant_enqueue_css' );

include('editor/login-editor.php');


// include tgm plugin activation 

require_once dirname( __FILE__ ) . '/installer/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );

function my_theme_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
			'name'      => 'One Click Demo Import',
			'slug'      => 'one-click-demo-import',
			'required'  => true,
		),

	);

	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		);

	tgmpa( $plugins, $config );
}


// Import demo content
function ocdi_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import',
            'import_file_url'            => 'https://divilover.com/demo_import/meetly/demo-content.xml',
            'import_customizer_file_url' => 'https://divilover.com/demo_import/meetly/theme-settings.dat',
            'import_notice'              => __( 'After you import this demo, you will have to install Bloom and import the meetly-bloom-settings.json file if you want to use the Bloom Inline Optin Form as shown in the demo.', 'your-textdomain' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );





function ocdi_after_import_setup() {
	// Menus to assign after import.
	$main_menu   = get_term_by( 'name', 'Main Menu', 'nav_menu' );
	set_theme_mod( 'nav_menu_locations', array(
		'primary-menu'   => $main_menu->term_id,
	));
	
	// Set Front Page from Reading Options
	$front_page = get_page_by_title( 'Home' );
	if(isset( $front_page ) && $front_page->ID) {
	update_option('show_on_front', 'page');
	update_option('page_on_front', $front_page->ID);
	}


}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );
